Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi
Interface DConfigBean

All Known Subinterfaces:
  DConfigBeanRoot

public interface DConfigBean

A configuration associated with one or more deployment descriptors.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a property change listener
`DConfigBean` | `getDConfigBean(DDBean bean)` Return the JavaBean containing server specific deployment information
`DDBean` | `getDDBean()` Get the XML text for this configuration
`String[]` | `getXpaths()` Get the xpaths this deployment descriptor requires
`void` | `notifyDDChange(XpathEvent event)` A notification that the DDBean provided has changed and that this bean or child needs re-evaluating
`void` | `removeDConfigBean(DConfigBean bean)` Remove a child
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Remove a property change listener

Method Detail

### getDDBean

    public DDBean getDDBean()

  Get the XML text for this configuration

  Returns:
    the xml text

### getXpaths

    public String[] getXpaths()

  Get the xpaths this deployment descriptor requires

  Returns:
    the xpaths

### getDConfigBean

    public DConfigBean getDConfigBean(DDBean bean)
                               throws ConfigurationException

  Return the JavaBean containing server specific deployment information

  Parameters:
    `bean` - the xml data to be evaluated
  Returns:
    the server specific configuration
  Throws:
    `ConfigurationException` - for errors generating the configuring bean

### removeDConfigBean

    public void removeDConfigBean(DConfigBean bean)
                           throws BeanNotFoundException

  Remove a child

  Parameters:
    `bean` - the child
  Throws:
    `BeanNotFoundException` - when the bean is not found

### notifyDDChange

    public void notifyDDChange(XpathEvent event)

  A notification that the DDBean provided has changed and that this bean or child needs re-evaluating

  Parameters:
    `event` - the event

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a property change listener

  Parameters:
    `listener` - the listener

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Remove a property change listener

  Parameters:
    `listener` - the listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.